Changes

Jump to navigation Jump to search
695 bytes removed ,  08:18, 28 October 2019
Overhaul page. yaourt seems no longer supported https://itsfoss.com/best-aur-helpers/.
Line 1: Line 1: −
This page is intended as a quick introduction for building octave on archlinux. For more generic and recent build instructions, take a look at [[Building]].
+
To simply install the latest stable release of GNU Octave on Arch Linux, just execute (as root):
   −
If you just want to have the latest version of octave and not intend to edit the sources, consider install [https://aur.archlinux.org/packages/octave-hg/?comments=all octave-hg] from the AUR. If you want to have a stable version from the repository, just execute
+
pacman -S octave
   −
sudo pacman -Syu octave
+
Using [https://aur.archlinux.org/ AUR], one can install a development version of Octave, for example [https://aur.archlinux.org/packages/octave-hg/?comments=all octave-hg].  If you encounter any problems during the build process, some problems and solutions are listed in the comments on AUR.  New dependencies are easy to extract from the PKGBUILD.
   −
If you encounter any problems during the build process that are not mentioned here, take a look at [https://aur.archlinux.org/packages/octave-hg/?comments=all https://aur.archlinux.org/packages/octave-hg/?comments=all]. Some problems are listed in the comments, new dependencies are easy to extract from the PKGBUILD.
+
== Building Octave ==
   −
== Build dependencies ==
+
: ''For general build instructions, see [[Building]].''
To install the necessary build dependencies for the full functionality (including JIT Compiler and so on) just execute (as root):
     −
pacman -S --needed base-devel pcre mercurial gcc-fortran gperf perl rsync transfig arpack curl fftw fltk glpk glu graphicsmagick hdf5 java-environment qhull qscintilla-qt5 texinfo gnuplot llvm texlive-bin icoutils gl2ps qrupdate
+
To install the Octave build dependencies on Arch Linux, just execute (as root):
Assuming you have yaourt installed, the dependencies from the AUR are installed as follows (as normal user):
     −
  yaourt -S epstool
+
  pacman -S --needed base-devel pcre mercurial gcc-fortran gperf perl rsync transfig arpack curl fftw fltk glpk glu graphicsmagick hdf5 java-environment qhull qscintilla-qt5 texinfo gnuplot llvm texlive-bin icoutils gl2ps qrupdate epstool
   −
If you plan to build the documentation, install the following packets too:
+
If you wish to build the Octave documentation, install the following packets too:
    
  pacman -S graphviz doxygen
 
  pacman -S graphviz doxygen
   −
== Building octave ==
+
== See also ==
Checkout octave as described in [http://www.gnu.org/software/octave/get-involved.html http://www.gnu.org/software/octave/get-involved.html].
     −
It is recommended to build octave within a subdirectory.
+
* https://wiki.archlinux.org/index.php/Octave
 
  −
./bootstrap
  −
mkdir build
  −
cd build
  −
../configure
  −
make -j3
  −
 
  −
If you encounter further problems or find more dependencies, feel free to adress them here.
      
[[Category:Building]]
 
[[Category:Building]]
 
[[Category:GNU/Linux]]
 
[[Category:GNU/Linux]]
 +
[[Category:Installation]]

Navigation menu